--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : cla8vhd.vhf
-- /___/   /\     Timestamp : 03/20/2006 11:58:49
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w cla8vhd.sch cla8vhd.vhf
--Design Name: cla8vhd
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity cla8vhd is
   port ( A    : in    std_logic_vector (7 downto 0); 
          B    : in    std_logic_vector (7 downto 0); 
          CIN  : in    std_logic; 
          COUT : out   std_logic; 
          G8   : out   std_logic; 
          P8   : out   std_logic; 
          S    : out   std_logic_vector (7 downto 0));
end cla8vhd;

architecture BEHAVIORAL of cla8vhd is
   attribute BOX_TYPE   : string ;
   signal C        : std_logic_vector (7 downto 0);
   signal G        : std_logic_vector (7 downto 0);
   signal P        : std_logic_vector (7 downto 0);
   signal XLXN_102 : std_logic;
   signal P8_DUMMY : std_logic;
   signal G8_DUMMY : std_logic;
   component full_adder
      port ( A  : in    std_logic; 
             B  : in    std_logic; 
             CI : in    std_logic; 
             S  : out   std_logic; 
             CO : out   std_logic; 
             P  : out   std_logic; 
             G  : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component carry8_logic
      port ( cin : in    std_logic; 
             g   : in    std_logic_vector (7 downto 0); 
             p   : in    std_logic_vector (7 downto 0); 
             g8  : out   std_logic; 
             p8  : out   std_logic; 
             c   : out   std_logic_vector (7 downto 0));
   end component;
   
begin
   G8 <= G8_DUMMY;
   P8 <= P8_DUMMY;
   XLXI_14 : full_adder
      port map (A=>A(0),
                B=>B(0),
                CI=>CIN,
                CO=>open,
                G=>G(0),
                P=>P(0),
                S=>S(0));
   
   XLXI_15 : full_adder
      port map (A=>A(1),
                B=>B(1),
                CI=>C(1),
                CO=>open,
                G=>G(1),
                P=>P(1),
                S=>S(1));
   
   XLXI_16 : full_adder
      port map (A=>A(2),
                B=>B(2),
                CI=>C(2),
                CO=>open,
                G=>G(2),
                P=>P(2),
                S=>S(2));
   
   XLXI_17 : full_adder
      port map (A=>A(3),
                B=>B(3),
                CI=>C(3),
                CO=>open,
                G=>G(3),
                P=>P(3),
                S=>S(3));
   
   XLXI_18 : full_adder
      port map (A=>A(4),
                B=>B(4),
                CI=>C(4),
                CO=>open,
                G=>G(4),
                P=>P(4),
                S=>S(4));
   
   XLXI_19 : full_adder
      port map (A=>A(5),
                B=>B(5),
                CI=>C(5),
                CO=>open,
                G=>G(5),
                P=>P(5),
                S=>S(5));
   
   XLXI_20 : full_adder
      port map (A=>A(6),
                B=>B(6),
                CI=>C(6),
                CO=>open,
                G=>G(6),
                P=>P(6),
                S=>S(6));
   
   XLXI_21 : full_adder
      port map (A=>A(7),
                B=>B(7),
                CI=>C(7),
                CO=>open,
                G=>G(7),
                P=>P(7),
                S=>S(7));
   
   XLXI_23 : AND2
      port map (I0=>P8_DUMMY,
                I1=>CIN,
                O=>XLXN_102);
   
   XLXI_24 : OR2
      port map (I0=>G8_DUMMY,
                I1=>XLXN_102,
                O=>COUT);
   
   XLXI_25 : carry8_logic
      port map (cin=>CIN,
                g(7 downto 0)=>G(7 downto 0),
                p(7 downto 0)=>P(7 downto 0),
                c(7 downto 0)=>C(7 downto 0),
                g8=>G8_DUMMY,
                p8=>P8_DUMMY);
   
end BEHAVIORAL;


