--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : full_adder.vhf
-- /___/   /\     Timestamp : 03/20/2006 21:50:55
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w full_adder.sch full_adder.vhf
--Design Name: full_adder
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity full_adder is
   port ( A  : in    std_logic; 
          B  : in    std_logic; 
          CI : in    std_logic; 
          CO : out   std_logic; 
          G  : out   std_logic; 
          P  : out   std_logic; 
          S  : out   std_logic);
end full_adder;

architecture BEHAVIORAL of full_adder is
   attribute BOX_TYPE   : string ;
   signal XLXN_7  : std_logic;
   signal G_DUMMY : std_logic;
   signal P_DUMMY : std_logic;
   component half_adder
      port ( A : in    std_logic; 
             B : in    std_logic; 
             S : out   std_logic; 
             C : out   std_logic);
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
begin
   G <= G_DUMMY;
   P <= P_DUMMY;
   XLXI_1 : half_adder
      port map (A=>B,
                B=>A,
                C=>G_DUMMY,
                S=>P_DUMMY);
   
   XLXI_2 : half_adder
      port map (A=>CI,
                B=>P_DUMMY,
                C=>XLXN_7,
                S=>S);
   
   XLXI_3 : OR2
      port map (I0=>G_DUMMY,
                I1=>XLXN_7,
                O=>CO);
   
end BEHAVIORAL;


